Bug 818643 - [as7] Move some types from server to service
[as7] Move some types from server to service
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
urgent Severity high (vote)
: ---
: RHQ 4.4.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: as7-plugin 810342
  Show dependency treegraph
 
Reported: 2012-05-03 11:50 EDT by Heiko W. Rupp
Modified: 2015-02-01 18:28 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:10:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-05-03 11:50:46 EDT
The following types need to be refactored from server to service category

- Profile
- Host
- JVM
- ServerGroup
Comment 1 Heiko W. Rupp 2012-05-03 11:55:45 EDT
getCategory calls are in org.rhq.modules.plugins.jbossas7.itest.AbstractJBossAS7PluginTest#getResourceByTypeAndKey
Comment 2 Ian Springer 2012-05-03 13:23:55 EDT
Done in master:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=5a4723f
Comment 4 Heiko W. Rupp 2013-09-01 06:10:44 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.